#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		a52
#-----------------------------------------------------------------------------
Name		:	liba52
Version		:	0.7.4
Release		:	14.8.0.0%{?dist}
Summary		:	A library for decoding ATSC A/52 streams

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://liba52.sourceforge.net

Source0		:	%{sname}dec-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
'%{name}' is a free library for decoding ATSC A/52 streams.
It is released under the terms of the GPL license. The A/52
standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}dec-%{version}

#-----------------------------------------------------------------------------
#building application
%build

CFLAGS="-g -O2 $([ $(uname -m) = x86_64 ] && echo -fPIC)"	\
./configure							\
        --prefix=%{_prefix}					\
        --includedir=%{_includedir}				\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--enable-shared						\
	--disable-static					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__cp} -a						\
	lib%{sname}/%{sname}_internal.h			\
	%{buildroot}%{_includedir}/%{sname}dec

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{sname}dec
%{_bindir}/extract_%{sname}
%{_includedir}/%{sname}dec/*.h
%{_libdir}/lib%{sname}.so*
%{_mandir}/man1/%{sname}dec.1.gz
%{_mandir}/man1/extract_%{sname}.1.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
